package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(member_rank_setting):
 */
public class MemberRankSetting {

	/**  */
	private Integer id;
	
	/**  */
	private String name;
	
	/**  */
	private String intro;
	
	/**  */
	private String icon;
	
	private Boolean isDefault;

	/**  */
	private List<Integer> memberPrivilegesItemIdList;
	
	private List<MemberPrivilegesItem> memberPrivilegesItemList;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<MemberRankPrivileges> memberRankPrivileges;
	
	private MemberFeeSetting memberFeeSetting;

	public List<MemberRankPrivileges> getMemberRankPrivileges() {
		return memberRankPrivileges;
	}

	public void setMemberRankPrivileges(List<MemberRankPrivileges> memberRankPrivileges) {
		this.memberRankPrivileges = memberRankPrivileges;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setIntro(String intro){
		this.intro = intro;
	}
	
	public String getIntro(){
		return this.intro;
	}
			
	public void setIcon(String icon){
		this.icon = icon;
	}
	
	public String getIcon(){
		return this.icon;
	}

	public Boolean getIsDefault() {
		return isDefault;
	}

	public void setIsDefault(Boolean isDefault) {
		this.isDefault = isDefault;
	}

	public List<Integer> getMemberPrivilegesItemIdList() {
		return memberPrivilegesItemIdList;
	}

	public void setMemberPrivilegesItemIdList(List<Integer> memberPrivilegesItemIdList) {
		this.memberPrivilegesItemIdList = memberPrivilegesItemIdList;
	}

	public List<MemberPrivilegesItem> getMemberPrivilegesItemList() {
		return memberPrivilegesItemList;
	}

	public void setMemberPrivilegesItemList(List<MemberPrivilegesItem> memberPrivilegesItemList) {
		this.memberPrivilegesItemList = memberPrivilegesItemList;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public MemberFeeSetting getMemberFeeSetting() {
		return memberFeeSetting;
	}

	public void setMemberFeeSetting(MemberFeeSetting memberFeeSetting) {
		this.memberFeeSetting = memberFeeSetting;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
